Skip to main content
`Ctrl`+`K`
scipy.stats.sampling.FastGeneratorInversion.

# ppf

FastGeneratorInversion.ppf(q)

  Very fast PPF (inverse CDF) of the distribution which is a very close approximation of the exact PPF values.

  Parameters:
    u array_like

      Array with probabilities.

  Returns:
    ppf array_like

      Quantiles corresponding to the values in u.

  Notes

  The evaluation of the PPF is very fast but it may have a large relative error in the far tails. The numerical precision of the PPF is controlled by the u-error, that is, `max |u - CDF(PPF(u))|` where the max is taken over points in the interval [0,1], see `evaluate_error`.

  Note that this PPF is designed to generate random samples.